<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jsowell.pile.mapper.ThirdPartyPlatformConfigMapper">

    <resultMap type="com.jsowell.pile.domain.ThirdPartyPlatformConfig" id="ThirdPartyPlatformConfigResult">
        <result property="id"    column="id"    />
        <result property="name"    column="name"    />
        <result property="operatorId"    column="operator_id"    />
        <result property="operatorSecret"    column="operator_secret"    />
        <result property="signSecret"    column="sign_secret"    />
        <result property="dataSecret"    column="data_secret"    />
        <result property="dataSecretIv"    column="data_secret_IV"    />
        <result property="createTime"    column="create_time"    />
        <result property="createBy"    column="create_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="delFlag"    column="del_flag"    />
    </resultMap>

    <sql id="selectThirdPartyPlatformConfigVo">
        select id, name, operator_id, operator_secret, sign_secret, data_secret, data_secret_IV, create_time, create_by, update_time, update_by, del_flag from thirdparty_platform_config
    </sql>

    <sql id="Base_Column_List">
        <!--@mbg.generated-->
        id, name, operator_id, operator_secret, sign_secret, data_secret, data_secret_IV, create_time, create_by, update_time, update_by, del_flag
    </sql>

    <select id="selectThirdPartyPlatformConfigList" parameterType="com.jsowell.pile.domain.ThirdPartyPlatformConfig" resultMap="ThirdPartyPlatformConfigResult">
        <include refid="selectThirdPartyPlatformConfigVo"/>
        <where>
            <if test="name != null  and name != ''"> and name like concat('%', #{name}, '%')</if>
            <if test="operatorId != null  and operatorId != ''"> and operator_id = #{operatorId}</if>
            <if test="operatorSecret != null  and operatorSecret != ''"> and operator_secret = #{operatorSecret}</if>
            <if test="signSecret != null  and signSecret != ''"> and sign_secret = #{signSecret}</if>
            <if test="dataSecret != null  and dataSecret != ''"> and data_secret = #{dataSecret}</if>
            <if test="dataSecretIv != null  and dataSecretIv != ''"> and data_secret_IV = #{dataSecretIv}</if>
        </where>
    </select>

    <select id="selectThirdPartyPlatformConfigById" parameterType="Integer" resultMap="ThirdPartyPlatformConfigResult">
        <include refid="selectThirdPartyPlatformConfigVo"/>
        where id = #{id}
    </select>

    <insert id="insertThirdPartyPlatformConfig" parameterType="com.jsowell.pile.domain.ThirdPartyPlatformConfig" useGeneratedKeys="true" keyProperty="id">
        insert into thirdparty_platform_config
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="name != null">name,</if>
            <if test="operatorId != null">operator_id,</if>
            <if test="operatorSecret != null">operator_secret,</if>
            <if test="signSecret != null">sign_secret,</if>
            <if test="dataSecret != null">data_secret,</if>
            <if test="dataSecretIv != null">data_secret_IV,</if>
            <if test="createTime != null">create_time,</if>
            <if test="createBy != null">create_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="delFlag != null">del_flag,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="name != null">#{name},</if>
            <if test="operatorId != null">#{operatorId},</if>
            <if test="operatorSecret != null">#{operatorSecret},</if>
            <if test="signSecret != null">#{signSecret},</if>
            <if test="dataSecret != null">#{dataSecret},</if>
            <if test="dataSecretIv != null">#{dataSecretIv},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="delFlag != null">#{delFlag},</if>
        </trim>
    </insert>

    <update id="updateThirdPartyPlatformConfig" parameterType="com.jsowell.pile.domain.ThirdPartyPlatformConfig">
        update thirdparty_platform_config
        <trim prefix="SET" suffixOverrides=",">
            <if test="name != null">name = #{name},</if>
            <if test="operatorId != null">operator_id = #{operatorId},</if>
            <if test="operatorSecret != null">operator_secret = #{operatorSecret},</if>
            <if test="signSecret != null">sign_secret = #{signSecret},</if>
            <if test="dataSecret != null">data_secret = #{dataSecret},</if>
            <if test="dataSecretIv != null">data_secret_IV = #{dataSecretIv},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteThirdPartyPlatformConfigById" parameterType="Integer">
        delete from thirdparty_platform_config where id = #{id}
    </delete>

    <delete id="deleteThirdPartyPlatformConfigByIds" parameterType="String">
        delete from thirdparty_platform_config where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

    <select id="getInfoByOperatorId" resultMap="ThirdPartyPlatformConfigResult">
        select <include refid="Base_Column_List"/>
        from thirdparty_platform_config
        where operator_id = #{operatorId,jdbcType=VARCHAR}
    </select>
</mapper>